---
title: Provisioning
url: https://docs.vultr.com/products/storage/object-storage/provisioning
description: A guide explaining how to set up and activate a Vultr Object Storage subscription for cloud-based data storage.
publish_date: 2024-09-23T20:20:36.627307Z
last_updated: 2026-05-26T19:42:00.304972Z
---

# How to Provision a Vultr Object Storage Subscription

Vultr Object Storage is an S3-compatible solution that lets you store and serve large amounts of data as objects. It provides scalable, durable, and secure storage for a variety of data types, such as documents, images, videos, and backups. It's ideal for big data storage, data backups, and content distribution using a secure S3-compatible endpoint.

Follow this guide to provision a Vultr Object Storage Subscription using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Cloud Storage**.
    1. Select **Object Storage** from the list of options.
    1. Click **Create Object Storage**
    1. Select a Vultr Object Storage tier from the following options:
 
        * **Accelerated**: High-performance NVMe storage optimized for write-intensive workloads. Supports up to 10,000 IOPS and 5 Gbps throughput.
        * **Performance**: Low-latency NVMe storage designed for datacenter workloads. Supports up to 4,000 IOPS and 1 Gbps throughput.
        * **Premium**: Reliable and durable storage for general-purpose applications. Stored on HDD, indexed on SSD, with up to 1,000 IOPS and 800 Mbps throughput.
        * **Standard**: Cost-effective, high-availability bulk storage. Stored on HDD, indexed on SSD, with up to 800 IOPS and 600 Mbps throughput.
        * **Archive**: Low-cost storage for infrequently accessed data. Objects transition to the `VULTR_ARCHIVE` storage class via a lifecycle policy. Includes 1000 GB of archived storage, 100 GB of unarchived storage, and 1 TB of bandwidth at $6/month. Archived data beyond the included capacity is billed at $0.006 per GB-month.

    1. Enter a descriptive name in the **Name** field.
    1. Select your desired Vultr location.
    1. Click **Create Object Storage** to provision the Vultr Object Storage subscription.

=== "Vultr API"

    1. Send a `GET` request to the [**Get All Clusters** endpoint](https://www.vultr.com/api/#tag/s3/operation/list-object-storage-clusters) and note your target cluster ID depending on the Vultr region.

        ```console
        $ curl "https://api.vultr.com/v2/object-storage/clusters" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**Get All Tiers** endpoint](https://www.vultr.com/api/#tag/s3/operation/list-object-storage-tiers) to view all available Vultr Object Storage tiers and note your target tier ID.

        ```console
        $ curl "https://api.vultr.com/v2/object-storage/tiers" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Object Storage** endpoint](https://www.vultr.com/api/#tag/s3/operation/create-object-storage) to provision a Vultr Object Storage subscription with your target tier and region. Replace `CLUSTER_ID` with the cluster ID from the previous step, `TIER_ID` with your target tier ID, and `LABEL` with a descriptive name for the subscription.

        ```console
        $ curl "https://api.vultr.com/v2/object-storage" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "label": "LABEL",
                "cluster_id": CLUSTER_ID,
                "tier_id": TIER_ID
            }'
        ```

        Visit the [**Create Object Storage** endpoint](https://www.vultr.com/api/#tag/s3/operation/create-object-storage) to view additional attributes to apply to your Vultr Object Storage subscription request.

    1. Send a `GET` request to the [List Object Storages](https://www.vultr.com/api/#tag/s3/operation/list-object-storages) endpoint to view all available Vultr Object Storage subscriptions in your account.

        ```console
        $ curl "https://api.vultr.com/v2/object-storage" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json"
        ```

=== "Vultr CLI"

    1. List all available Vultr Object Storage clusters and note your target cluster ID depending on the Vultr region.

        ```console
        $ vultr-cli object-storage list-clusters
        ```

    1. Provision a Vultr Object Storage subscription. Replace `CLUSTER_ID` with your target cluster ID and `LABEL` with a descriptive name.

        ```console
        $ vultr-cli object-storage create --cluster-id CLUSTER_ID --label LABEL
        ```
    
    1. List all Vultr Object Storage subscriptions in your account.

        ```console
        $ vultr-cli object-storage list
        ```
    
        Run `vultr-cli object-storage create --help` to view all available options to apply to your Vultr Object Storage subscription request.

=== "Terraform"

    1. Ensure the [Vultr Terraform provider](https://registry.terraform.io/providers/vultr/vultr/latest/docs) is configured in your Terraform project.

    1. Define the Object Storage subscription resource.

        ```terraform
        terraform {
            required_providers {
                vultr = {
                    source  = "vultr/vultr"
                    version = "~> 2.23"
                }
            }
        }

        provider "vultr" {}

        resource "vultr_object_storage" "object_storage" {
            cluster_id = 4  # Object Storage cluster (region).
            tier_id    = 1  # Performance tier ID.
            label      = "Object-Storage"
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 0 destroyed.
        ```
